#!/usr/bin/env python3
from abc import ABC, abstractmethod

"""
Abstract base class for signalprocessor
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "abcsignalprocessor"
__version__text__ = "1"


class AbcSignalProcessor(ABC):
    """
    Abstract base class Signal Processor. Responsible for handling a signal processor pipeline.
    """
    @abstractmethod
    def processcurrentsignal(self):
        """
        Process a signal.
        :return:
        """
        pass
