#!/usr/bin/env python3
import os

"""
Main Flask RESTful API
"""

__author__ = "@tormakris"
__copyright__ = "Copyright 2020, Birbnetes Team"
__module_name__ = "app"
__version__text__ = "1"

SENTRY_DSN = os.environ.get("SENTRY_DSN")
RELEASE_ID = os.environ.get("RELEASE_ID", "test")
RELEASEMODE = os.environ.get("RELEASEMODE", "dev")

DEVICE_ID = os.environ.get("DEVICE_ID", "devraspi")

TICK_INTERVAL = int(os.environ.get("TICK_INTERVAL", "3"))


TARGET_NAME = os.environ.get("TARGET_CLASS_NAME")
MODEL_ID = os.environ.get("MODEL_ID")

INPUT_SVC_URL = os.environ.get("INPUT_SVC_URL", "http://localhost:8080/sample")
